{
    "project":{
        "name":"${appInfo.name}",
        "description":"",
        "details":{
            "variable":[

            ],
            "markList":[
                {
                    "key":"developing",
                    "name":"开发中",
                    "color":"#3A86FF",
                    "is_default":true
                },
                {
                    "key":"complated",
                    "name":"已完成",
                    "color":"#2BA58F",
                    "is_default":true
                },
                {
                    "key":"modifying",
                    "name":"需修改",
                    "color":"#EC4646",
                    "is_default":true
                }
            ],
            "script":{
                "pre_script":"",
                "test":""
            },
            "request":{
                "query":[
                    {
                        "is_checked":"1",
                        "type":"Text",
                        "key":"",
                        "value":"",
                        "description":""
                    }
                ],
                "header":[
                    {
                        "is_checked":"1",
                        "type":"Text",
                        "key":"",
                        "value":"",
                        "description":""
                    }
                ],
                "body":[
                    {
                        "is_checked":"1",
                        "type":"Text",
                        "key":"",
                        "value":"",
                        "description":""
                    }
                ]
            }
        }
    },
    "apis":[
        {
            "target_type":"folder",
            "name":"系统服务",
            "mark":"developing",
            "sort":1,
            "request":{
                "description":""
            },
            "children":[
                {
                    "target_type":"api",
                    "name":"用户登录",
                    "mark":"developing",
                    "sort":1,
                    "method":"POST",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/login/login",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/login/login",
                        "description":"",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                        "body":{
                            "mode":"json",
                            "parameter":[
                                {
									"description": "用户名",
									"is_checked": 1,
									"key": "loginName",
									"type": "Text",
									"not_null": "1",
									"field_type": "string",
									"value": "admin"
								},
                                {
									"description": "密码",
									"is_checked": 1,
									"key": "password",
									"type": "Text",
									"not_null": "1",
									"field_type": "string",
									"value": "admin"
								},
                            {
									"description": "验证码",
									"is_checked": 1,
									"key": "securityCode",
									"type": "Text",
									"not_null": "1",
									"field_type": "string",
									"value": "123456"
								}
                            ],
                            "raw":"",
                            "raw_para":[

                            ],
                            "raw_schema":{
                                "type":"object",
                                "properties":{
                                    "loginName":{
                                        "type":"string",
                                        "description":"用户名",
                                        "mock":{
                                            "mock":"@word()"
                                        }
                                    },
                                    "password":{
                                        "type":"string",
                                        "description":"密码",
                                        "mock":{
                                            "mock":"@string( @word, 8, 16 )"
                                        }
                                    },
                                    "securityCode":{
                                        "type":"string",
                                        "description":"校验码",
                                        "mock":{
                                            "mock":"@string( @word, 4, 4 )"
                                        }
                                    }
                                },
                                "required":[
                                    "loginName",
                                    "password",
                                    "securityCode"
                                ],
                                "APIPOST_ORDERS":[
                                    "loginName",
                                    "password",
                                    "securityCode"
                                ],
                                "description":""
                            }
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"{\n\t\"msg\": \"成功\",\n\t\"code\": 6882800553454135,\n\t\"data\": {\n\t\t\"user\": {\n\t\t\t\"admin\": false,\n\t\t\t\"areaCodes\": \"511500000000,511500000001\",\n\t\t\t\"areaNames\": \"宜宾市,北京市\",\n\t\t\t\"expireTime\": 48,\n\t\t\t\"id\": 5,\n\t\t\t\"loginName\": \"Betty\",\n\t\t\t\"mobile\": \"028-81382114\",\n\t\t\t\"realName\": \"陆秀兰\",\n\t\t\t\"siteIds\": \"1,2\",\n\t\t\t\"userType\": 1\n\t\t},\n\t\t\"token\": \"D54941Ab-4b6F-7D07-Bf6d-fc1abD93D0e2\"\n\t}\n}",
                            "parameter":[
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"msg",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"成功"
                                },
                                {
                                    "description":"",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"code",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":6882800553454135
                                },
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"data",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"data.user",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"是否为管理员",
                                    "field_type":"boolean",
                                    "is_checked":1,
                                    "key":"data.user.admin",
                                    "not_null":true,
                                    "type":"boolean",
                                    "value":"false"
                                },
                                {
                                    "description":"所属区域编码",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.areaCodes",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"511500000000,511500000001"
                                },
                                {
                                    "description":"所属区域名称",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.areaNames",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"宜宾市,北京市"
                                },
                                {
                                    "description":"token过期时间",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.user.expireTime",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":48
                                },
                                {
                                    "description":"用户id",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.user.id",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":5
                                },
                                {
                                    "description":"登录名",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.loginName",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"Betty"
                                },
                                {
                                    "description":"电话",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.mobile",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"028-81382114"
                                },
                                {
                                    "description":"用户真实名称",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.realName",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"陆秀兰"
                                },
                                {
                                    "description":"用户所属站点ids",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.siteIds",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"1,2"
                                },
                                {
                                    "description":"用户类型",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.user.userType",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":1
                                },
                                {
                                    "description":"用户token",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.token",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"D54941Ab-4b6F-7D07-Bf6d-fc1abD93D0e2"
                                }
                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "msg":{
                                            "type":"string"
                                        },
                                        "code":{
                                            "type":"integer"
                                        },
                                        "data":{
                                            "type":"object",
                                            "properties":{
                                                "user":{
                                                    "type":"object",
                                                    "properties":{
                                                        "admin":{
                                                            "type":"boolean",
                                                            "description":"是否为管理员",
                                                            "mock":{
                                                                "mock":"false"
                                                            }
                                                        },
                                                        "areaCodes":{
                                                            "type":"string",
                                                            "description":"所属区域编码",
                                                            "mock":{
                                                                "mock":"511500000000,511500000001"
                                                            }
                                                        },
                                                        "areaNames":{
                                                            "type":"string",
                                                            "description":"所属区域名称",
                                                            "mock":{
                                                                "mock":"宜宾市,北京市"
                                                            }
                                                        },
                                                        "expireTime":{
                                                            "type":"integer",
                                                            "description":"token过期时间",
                                                            "mock":{
                                                                "mock":"@integer(1,100)"
                                                            }
                                                        },
                                                        "id":{
                                                            "type":"integer",
                                                            "description":"用户id",
                                                            "mock":{
                                                                "mock":"@integer(1,100)"
                                                            }
                                                        },
                                                        "loginName":{
                                                            "type":"string",
                                                            "description":"登录名",
                                                            "mock":{
                                                                "mock":"@first()"
                                                            }
                                                        },
                                                        "mobile":{
                                                            "type":"string",
                                                            "description":"电话",
                                                            "mock":{
                                                                "mock":"028-81382114"
                                                            }
                                                        },
                                                        "realName":{
                                                            "type":"string",
                                                            "description":"用户真实名称",
                                                            "mock":{
                                                                "mock":"@cname()"
                                                            }
                                                        },
                                                        "siteIds":{
                                                            "type":"string",
                                                            "description":"用户所属站点ids",
                                                            "mock":{
                                                                "mock":"1,2"
                                                            }
                                                        },
                                                        "userType":{
                                                            "type":"integer",
                                                            "description":"用户类型",
                                                            "mock":{
                                                                "mock":"1"
                                                            }
                                                        }
                                                    },
                                                    "required":[

                                                    ],
                                                    "APIPOST_ORDERS":[
                                                        "admin",
                                                        "areaCodes",
                                                        "areaNames",
                                                        "expireTime",
                                                        "id",
                                                        "loginName",
                                                        "mobile",
                                                        "realName",
                                                        "siteIds",
                                                        "userType"
                                                    ]
                                                },
                                                "token":{
                                                    "type":"string",
                                                    "description":"用户token",
                                                    "mock":{
                                                        "mock":"@guid()"
                                                    }
                                                }
                                            },
                                            "required":[

                                            ],
                                            "APIPOST_ORDERS":[
                                                "user",
                                                "token"
                                            ]
                                        }
                                    },
                                    "required":[

                                    ],
                                    "APIPOST_ORDERS":[
                                        "msg",
                                        "code",
                                        "data"
                                    ]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{

                                }
                            }
                        }
                    },
                    "children":[

                    ]
                },
                {
                    "target_type":"api",
                    "name":"用户登出",
                    "mark":"developing",
                    "sort":2,
                    "method":"POST",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/login/logout",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/login/logout",
                        "description":"用户退出注销",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                        "body":{
                            "mode":"json",
                            "parameter":[

                            ],
                            "raw":"{}",
                            "raw_para":[

                            ],
                            "raw_schema":{
                                "type":"object",
                                "properties":{

                                },
                                "required":[

                                ],
                                "APIPOST_ORDERS":[

                                ],
                                "description":""
                            }
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"{\n\t\"msg\": \"登出成功\",\n\t\"code\": 1\n}",
                            "parameter":[
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"msg",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"登出成功"
                                },
                                {
                                    "description":"",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"code",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":1
                                }
                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "msg":{
                                            "type":"string",
                                            "mock":{
                                                "mock":"登出成功"
                                            }
                                        },
                                        "code":{
                                            "type":"integer",
                                            "mock":{
                                                "mock":"1"
                                            }
                                        }
                                    },
                                    "required":[

                                    ],
                                    "APIPOST_ORDERS":[
                                        "msg",
                                        "code"
                                    ]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{

                                }
                            }
                        }
                    },
                    "children":[

                    ]
                },
                {
                    "target_type":"api",
                    "name":"用户修改密码",
                    "mark":"developing",
                    "sort":3,
                    "method":"POST",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/user/change/password",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/user/change/password",
                        "description":"",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                        "body":{
                            "mode":"json",
                            "parameter":[

                            ],
                            "raw":"",
                            "raw_para":[

                            ],
                            "raw_schema":{
                                "type":"object",
                                "properties":{
                                    "loginName":{
                                        "type":"string",
                                        "description":"用户名",
                                        "mock":{
                                            "mock":"@word()"
                                        }
                                    },
                                    "oldPwd":{
                                        "type":"string",
                                        "description":"旧密码",
                                        "mock":{
                                            "mock":"@string( @word, 8, 16 )"
                                        }
                                    },
                                    "newPwd":{
                                        "type":"string",
                                        "description":"新密码",
                                        "mock":{
                                            "mock":"@string( @word, 8, 16 )"
                                        }
                                    }
                                },
                                "required":[
                                    "loginName",
                                    "oldPwd",
                                    "newPwd"
                                ],
                                "APIPOST_ORDERS":[
                                    "loginName",
                                    "oldPwd",
                                    "newPwd"
                                ],
                                "description":""
                            }
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"{\n\t\"msg\": \"成功\",\n\t\"code\": 6882800553454135\n}",
                            "parameter":[
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"msg",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"成功"
                                },
                                {
                                    "description":"",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"code",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":6882800553454135
                                },
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"data",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"data.user",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"是否为管理员",
                                    "field_type":"boolean",
                                    "is_checked":1,
                                    "key":"data.user.admin",
                                    "not_null":true,
                                    "type":"boolean",
                                    "value":"false"
                                },
                                {
                                    "description":"所属区域编码",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.areaCodes",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"511500000000,511500000001"
                                },
                                {
                                    "description":"所属区域名称",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.areaNames",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"宜宾市,北京市"
                                },
                                {
                                    "description":"token过期时间",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.user.expireTime",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":48
                                },
                                {
                                    "description":"用户id",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.user.id",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":5
                                },
                                {
                                    "description":"登录名",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.loginName",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"Betty"
                                },
                                {
                                    "description":"电话",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.mobile",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"028-81382114"
                                },
                                {
                                    "description":"用户真实名称",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.realName",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"陆秀兰"
                                },
                                {
                                    "description":"用户所属站点ids",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.user.siteIds",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"1,2"
                                },
                                {
                                    "description":"用户类型",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.user.userType",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":1
                                },
                                {
                                    "description":"用户token",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"data.token",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"D54941Ab-4b6F-7D07-Bf6d-fc1abD93D0e2"
                                }
                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "code":{
                                            "type":"integer",
                                            "mock":{
                                                "mock":"1"
                                            }
                                        },
                                        "msg":{
                                            "type":"string",
                                            "mock":{
                                                "mock":"修改成功"
                                            }
                                        }
                                    },
                                    "required":[

                                    ],
                                    "APIPOST_ORDERS":[
                                        "code",
                                        "msg"
                                    ]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{

                                }
                            }
                        }
                    },
                    "children":[

                    ]
                },
                {
                    "target_type":"api",
                    "name":"上传附件",
                    "mark":"developing",
                    "sort":4,
                    "method":"POST",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/file/commonupload",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/file/commonupload",
                        "description":"",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                        "body":{
                            "mode":"form-data",
                            "parameter":[
                                {
                                    "description":"附件",
                                    "field_type":"String",
                                    "is_checked":1,
                                    "key":"file",
                                    "value":[
                                        "C:\\Users\\81536\\Desktop\\conf.zip"
                                    ],
                                    "not_null":1,
                                    "type":"File",
                                    "filename":"conf.zip",
                                    "fileBase64":[

                                    ]
                                },
                                {
                                    "description":"附件存放相对路径，候默认为/file/fileupload",
                                    "field_type":"String",
                                    "is_checked":1,
                                    "key":"prePath",
                                    "value":"/file/fileupload/snap",
                                    "not_null":1,
                                    "type":"Text"
                                }
                            ],
                            "raw":"",
                            "raw_para":[

                            ],
                            "raw_schema":{
                                "type":"object"
                            }
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"{\n\t\"code\": 1,\n\t\"msg\": \"上传成功\",\n\t\"fileName\": \"926164.jpg\",\n\t\"url\": \"/file/preview/1685671458914.jpg\"\n}",
                            "parameter":[
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"结果码（-1.失败，1.成功）",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"code",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":1
                                },
                                {
                                    "description":"消息",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"msg",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"上传成功"
                                },
                                {
                                    "description":"文件名",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"fileName",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"926164.jpg"
                                },
                                {
                                    "description":"文件相对地址",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"url",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"/file/preview/1685671458914.jpg"
                                }
                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":-1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "code":{
                                            "type":"integer",
                                            "description":"结果码（-1.失败，1.成功）",
                                            "mock":{
                                                "mock":"@integer(-1,1)"
                                            }
                                        },
                                        "msg":{
                                            "type":"string",
                                            "description":"消息",
                                            "mock":{
                                                "mock":"上传成功"
                                            }
                                        },
                                        "fileName":{
                                            "type":"string",
                                            "description":"文件名",
                                            "mock":{
                                                "mock":"@zip().jpg"
                                            }
                                        },
                                        "url":{
                                            "type":"string",
                                            "description":"文件相对地址",
                                            "mock":{
                                                "mock":"/file/preview/1685671458914.jpg"
                                            }
                                        }
                                    },
                                    "required":[
                                        "fileName",
                                        "code",
                                        "url"
                                    ],
                                    "APIPOST_ORDERS":[
                                        "code",
                                        "msg",
                                        "fileName",
                                        "url"
                                    ]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{

                                }
                            }
                        }
                    },
                    "children":[

                    ]
                }
                ,{
					"target_type": "api",
					"name": "查询参数列表",
					"mark": "developing",
					"sort": 5,
					"method": "POST",
					"mock": "{}",
					"mock_url": "${appInfo.path}/param/list",
					"request": {
						"url": "{{baseUrl}}${appInfo.path}/office/param/list",
						"description": "字典参数列表查询",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"body": {
							"mode": "json",
							"parameter": [],
							"raw": "{\n\t\"page\": 2,\n\t\"size\": 32,\n\t\"firstOrganize\": \"firstOrganize\",\n\t\"secondOrganize\": \"secondOrganize\",\n\t\"paramKey\": \"key\"\n}",
							"raw_para": [
								{
									"description": "当前页",
									"field_type": "Integer",
									"is_checked": 1,
									"key": "page",
									"value": "1",
									"not_null": -1,
									"type": "Text"
								},
								{
									"description": "每页条数，值为-1，查询所有记录",
									"field_type": "Integer",
									"is_checked": 1,
									"key": "size",
									"value": "10",
									"not_null": -1,
									"type": "Text"
								},
								{
									"description": "第一级组织",
									"field_type": "String",
									"is_checked": 1,
									"key": "firstOrganize",
									"value": "Window",
									"not_null": -1,
									"type": "Text"
								},
								{
									"description": "第二级组织",
									"field_type": "String",
									"is_checked": 1,
									"key": "secondOrganize",
									"value": "hongqi",
									"not_null": -1,
									"type": "Text"
								},
								{
									"description": "参数key",
									"field_type": "String",
									"is_checked": 1,
									"key": "key",
									"value": "test",
									"not_null": -1,
									"type": "Text"
								}
							],
							"raw_schema": {
								"type": "object",
								"properties": {
									"page": {
										"type": "integer",
										"description": "当前页",
										"mock": {
											"mock": "@integer(1,10)"
										}
									},
									"size": {
										"type": "integer",
										"description": "每页条数，值为-1，查询所有记录",
										"mock": {
											"mock": "@integer(-1,100)"
										}
									},
									"firstOrganize": {
										"type": "string",
										"description": "第一级组织",
										"mock": {
											"mock": "firstOrganize"
										}
									},
									"secondOrganize": {
										"type": "string",
										"mock": {
											"mock": "secondOrganize"
										},
										"description": "第二集组织"
									},
									"paramKey": {
										"type": "string",
										"description": "参数key",
										"mock": {
											"mock": "key"
										}
									}
								},
								"required": [
									"page",
									"size"
								],
								"APIPOST_ORDERS": [
									"page",
									"size",
									"firstOrganize",
									"secondOrganize",
									"paramKey"
								],
								"description": ""
							}
						}
					},
					"response": {
						"success": {
							"raw": "{\n\t\"data\": {\n\t\t\"data\": [\n\t\t\t{\n\t\t\t\t\"id\": 74,\n\t\t\t\t\"name\": \"crmtb\",\n\t\t\t\t\"paramKey\": \"duodbh\",\n\t\t\t\t\"paramValue\": \"xuccnvif\"\n\t\t\t}\n\t\t]\n\t},\n\t\"code\": 1,\n\t\"msg\": \"查询成功\"\n}",
							"parameter": [
								{
									"description": "",
									"field_type": "object",
									"is_checked": 1,
									"key": "",
									"not_null": true,
									"type": "object",
									"value": "-"
								},
								{
									"description": "",
									"field_type": "object",
									"is_checked": 1,
									"key": "data",
									"not_null": true,
									"type": "object",
									"value": "-"
								},
								{
									"description": "",
									"field_type": "array",
									"is_checked": 1,
									"key": "data.data",
									"not_null": true,
									"type": "array",
									"value": "-"
								},
								{
									"description": "",
									"field_type": "object",
									"is_checked": 1,
									"key": "data.data.0",
									"not_null": true,
									"type": "object",
									"value": "-"
								},
								{
									"description": "ID",
									"field_type": "integer",
									"is_checked": 1,
									"key": "data.data.0.id",
									"not_null": true,
									"type": "integer",
									"value": 74
								},
								{
									"description": "名称",
									"field_type": "string",
									"is_checked": 1,
									"key": "data.data.0.name",
									"not_null": true,
									"type": "string",
									"value": "crmtb"
								},
								{
									"description": "参数键key",
									"field_type": "string",
									"is_checked": 1,
									"key": "data.data.0.paramKey",
									"not_null": true,
									"type": "string",
									"value": "duodbh"
								},
								{
									"description": "参数值",
									"field_type": "string",
									"is_checked": 1,
									"key": "data.data.0.paramValue",
									"not_null": true,
									"type": "string",
									"value": "xuccnvif"
								},
								{
									"description": "结果码",
									"field_type": "integer",
									"is_checked": 1,
									"key": "code",
									"not_null": true,
									"type": "integer",
									"value": 1
								},
								{
									"description": "描述消息",
									"field_type": "string",
									"is_checked": 1,
									"key": "msg",
									"not_null": true,
									"type": "string",
									"value": "查询成功"
								}
							],
							"expect": {
								"name": "成功",
								"isDefault": 1,
								"code": 200,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {
									"type": "object",
									"properties": {
										"data": {
											"type": "object",
											"properties": {
												"data": {
													"type": "array",
													"items": {
														"type": "object",
														"properties": {
															"id": {
																"type": "integer",
																"mock": {
																	"mock": "@integer(1,100)"
																},
																"description": "ID"
															},
															"name": {
																"type": "string",
																"mock": {
																	"mock": "@word()"
																},
																"description": "名称"
															},
															"paramKey": {
																"type": "string",
																"mock": {
																	"mock": "@word()"
																},
																"description": "参数键key"
															},
															"paramValue": {
																"type": "string",
																"mock": {
																	"mock": "@word()"
																},
																"description": "参数值"
															}
														},
														"required": [
															"id",
															"name",
															"paramKey",
															"paramValue"
														],
														"APIPOST_ORDERS": [
															"id",
															"name",
															"paramKey",
															"paramValue"
														]
													}
												}
											},
											"required": [
												"data"
											],
											"APIPOST_ORDERS": [
												"data"
											]
										},
										"code": {
											"type": "integer",
											"mock": {
												"mock": "1"
											},
											"description": "结果码"
										},
										"msg": {
											"type": "string",
											"mock": {
												"mock": "查询成功"
											},
											"description": "描述消息"
										}
									},
									"required": [
										"data",
										"code",
										"msg"
									],
									"APIPOST_ORDERS": [
										"data",
										"code",
										"msg"
									]
								}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 404,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {
									"type": "object"
								}
							}
						}
					},
					"children": []
				}

            ]
        },
<#list tableList as table>
        {
            "target_type":"folder",
            "name":"${table.functionName}",
            "mark":"developing",
            "sort":${table_index+2},
            "request":{
                "description":""
            },
            "children":[
                {
                    "target_type":"api",
                    "name":"查询${table.functionName}列表",
                    "mark":"developing",
                    "sort":1,
                    "method":"POST",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/${table.requestMapping}/list",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/${table.requestMapping}/list",
                        "description":"",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                        "body":{
                            "mode":"json",
                            "parameter":[
                                {
                                    "description":"当前页",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"page",
                                    "value":"1",
                                    "not_null":-1,
                                    "type":"integer"
                                },
                                {
                                    "description":"每页条数，值为-1，查询所有记录",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"size",
                                    "value":"10",
                                    "not_null":-1,
                                    "type":"integer"
                                }
                <#list table.columns as column>
                    <#if column.isQuery == 1>
                        ,{
                        <#if column.javaType=="String">
                            "description":"${column.columnComment},字段前后添加%%模糊查询",
                            "field_type":"string",
                            "type":"string",
                        <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                            "description":"${column.columnComment}",
                            "field_type":"integer",
                            "type":"integer",
                        <#elseif column.javaType == "BigDecimal">
                            "field_type":"number",
                            "type":"number",
                            "description":"${column.columnComment}",
                        <#elseif column.javaType == "Date">
                            "field_type":"string",
                            "description":"${column.columnComment}",
                            "type":"string",
                        <#else>
                            "description":"${column.columnComment}",
                            "field_type":"string",
                            "type":"string",
                        </#if>
                            "key":"${column.javaField}",
                            "value":"${column.randomStr(column.javaType)}"
                            }
                    </#if>
                </#list>
                            ],
                            "raw":"",
                            "raw_para":[
                                {
                                    "description":"当前页",
                                    "field_type":"Integer",
                                    "is_checked":1,
                                    "key":"page",
                                    "value":"1",
                                    "not_null":-1,
                                    "type":"Text"
                                },
                                {
                                    "description":"每页条数，值为-1，查询所有记录",
                                    "field_type":"Integer",
                                    "is_checked":1,
                                    "key":"size",
                                    "value":"10",
                                    "not_null":-1,
                                    "type":"Text"
                                }
                <#list table.columns as column>
                    <#if column.isQuery == 1>
                        ,{
                        <#if column.javaType=="String">
                            "description":"${column.columnComment},字段前后添加%%模糊查询",
                            "field_type":"string",
                            "type":"string",
                        <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                            "description":"${column.columnComment}",
                            "field_type":"integer",
                            "type":"integer",
                        <#elseif column.javaType == "BigDecimal">
                            "field_type":"number",
                            "type":"number",
                            "description":"${column.columnComment}",
                        <#elseif column.javaType == "Date">
                            "field_type":"date",
                            "description":"${column.columnComment}",
                            "type":"string",
                        <#else>
                            "description":"${column.columnComment}",
                            "field_type":"string",
                            "type":"string",
                        </#if>
                            "key":"${column.javaField}",
                            "value":"${column.randomStr(column.javaType)}"
                            }
                    </#if>
                </#list>
                            ],
                            "raw_schema":{
                                "type":"object",
                                "properties":{
                                    "page":{
                                        "type":"integer",
                                        "description":"当前页",
                                        "mock":{
                                            "mock":"@integer(1,10)"
                                        }
                                    },
                                    "size":{
                                        "type":"integer",
                                        "description":"每页条数，值为-1，查询所有记录",
                                        "mock":{
                                            "mock":"@integer(-1,100)"
                                        }
                                    }
                        <#list table.columns as column>
                            <#if column.isQuery == 1>
                                ,
                                "${column.javaField}":{
                                 <#if column.javaType=="String">
                                     "type":"string",
                                     "description":"${column.columnComment},字段前后添加%%模糊查询",
                                     "mock":{
                                         "mock":"@word"
                                     }
                                 <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                     "type":"integer",
                                     "description":"${column.columnComment}",
                                     "mock":{
                                         "mock":"@integer(1,100)"
                                     }
                                 <#elseif column.javaType == "BigDecimal">
                                    "type":"number",
                                     "description":"${column.columnComment}",
                                     "mock":{
                                        "mock":"@float( 1, 100, 2, 2 )"
                                     }
                                 <#elseif column.javaType == "Date">
                                     "type":"string",
                                     "description":"${column.columnComment}",
                                     "mock":{
                                        "mock":"@datetime('yyyy-MM-dd HH:mm:ss')"
                                     }
                                <#else>
                                     "type":"string",
                                     "description":"${column.columnComment},字段前后添加%%模糊查询",
                                     "mock":{
                                        "mock":"@word"
                                     }
                                </#if>
                                }
                            </#if>
                        </#list>
                                },
                                "description":""
                            }
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"",
                            "parameter":[
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"数据对象",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"data",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.per_page",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":10
                                },
                                {
                                    "description":"",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.total",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":12
                                },
                                {
                                    "description":"",
                                    "field_type":"array",
                                    "is_checked":1,
                                    "key":"data.data",
                                    "not_null":true,
                                    "type":"array",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"data.data.0",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                }
                        <#list table.columns as column>
                                ,
                                {
                                    "description":"${column.columnComment}",
                                    "is_checked":1,
                                    "key":"data.data.0.${column.javaField}",
                                    "not_null":true,
                                <#if column.javaType=="String">
                                    "field_type":"string",
                                    "type":"string",
                                    "value":"${column.randomStr(column.javaType)}"
                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                    "field_type":"integer",
                                    "type":"integer",
                                    "value":${column.randomStr(column.javaType)}
                                <#elseif column.javaType == "BigDecimal">
                                    "field_type":"number",
                                    "type":"number",
                                    "value":"${column.randomStr(column.javaType)}"
                                <#elseif column.javaType == "Date">
                                    "field_type":"integer",
                                    "type":"integer",
                                    "value":1686117130116
                                <#else>
                                    "field_type":"string",
                                    "type":"string",
                                    "value":"${column.randomStr(column.javaType)}"
                                </#if>
                                }
                        </#list>
                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "data":{
                                            "type":"object",
                                            "properties":{
                                                "per_page":{
                                                    "type":"integer",
                                                    "mock":{
                                                        "mock":"@integer(1,10)"
                                                    }
                                                },
                                                "total":{
                                                    "type":"integer",
                                                    "mock":{
                                                        "mock":"@integer(1,100)"
                                                    }
                                                },
                                                "data":{
                                                    "type":"array",
                                                    "items":{
                                                        "type":"object",
                                                        "properties":{
                                 <#list table.columns as column>
                                              "${column.javaField}":{
                                               <#if column.javaType=="String">
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                                    "field_type":"integer",
                                                    "type":"integer",
                                                    "mock": {
                                                        "mock": "@integer(1,10)"
                                                    },
                                                <#elseif column.javaType == "BigDecimal">
                                                   "field_type":"number",
                                                   "type":"number",
                                                   "mock": {
                                                        "mock": "@float( 1, 10, 2, 2 )"
                                                   },
                                                <#elseif column.javaType == "Date">
                                                   "field_type":"integer",
                                                   "type":"integer",
                                                   "mock": {
                                                        "mock": "@integer(1686120510000,1686120517127)"
                                                   },
                                                <#else>
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                </#if>
                                                    "description": "${column.columnComment}"
                                                }<#sep>,</#sep>
                                        </#list>
                    <#if table.subTable?? && table.tplCategory=="sub" >
                        ,
                                         "${table.subTable.className?uncap_first}List": {
                                                "type": "array",
                                                "description": "${table.subTable.functionName}列表信息",
                                                "items": {
                                                    "type": "object",
                                                    "title": "Items",
                                                    "properties": {
                                    <#list table.subTable.columns as column >
                                            "${column.javaField}":{
                                               <#if column.javaType=="String">
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                                    "field_type":"integer",
                                                    "type":"integer",
                                                    "mock": {
                                                        "mock": "@integer(1,10)"
                                                    },
                                                <#elseif column.javaType == "BigDecimal">
                                                   "field_type":"number",
                                                   "type":"number",
                                                   "mock": {
                                                        "mock": "@float( 1, 10, 2, 2 )"
                                                   },
                                                <#elseif column.javaType == "Date">
                                                   "field_type":"integer",
                                                   "type":"integer",
                                                   "mock": {
                                                        "mock": "@integer(1686120510000,1686120517127)"
                                                   },
                                                <#else>
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                </#if>
                                                    "description": "${column.columnComment}"
                                                }<#sep>,</#sep>
                                            </#list>
                                                    },
                                                    "APIPOST_ORDERS": [],
                                                    "required": []
                                                }
                                            }
                                            </#if>
                                                        },
                                                        "APIPOST_ORDERS":[],
                                                        "required":[]
                                                    }
                                                },
                                                "last_page":{
                                                    "type":"integer",
                                                    "mock":{
                                                        "mock":"1"
                                                    }
                                                },
                                                "current_page":{
                                                    "type":"integer"
                                                }
                                            },
                                            "required":[],
                                            "description":"数据对象",
                                            "APIPOST_ORDERS":[]
                                        },
                                        "code":{
                                            "type":"integer",
                                            "description":"结果码（-1.失败，1.成功）"
                                        },
                                        "msg":{
                                            "type":"string",
                                            "description":"消息"
                                        },
                                        "dict":{
                                            "type":"object",
                                            "properties":{
                                <#assign isFirst>true</#assign>
                                    <#list table.columns as column>
                                        <#if column.dict??>
                                            <#if isFirst == "false">,</#if>
                                            <#assign isFirst>false</#assign>
                                            <#assign comment=column.subComment(column.columnComment) />
                                                 "${column.javaField}":{
                                                    "description":"${comment}",
                                                    "type":"object",
                                                    "properties":{
                                            <#list column.dict as dict>
                                                         "${dict.num}": {
															"type": "string",
															"mock": {
																"mock": "${dict.value}"
															},
															"description": "${dict.value}"
														}<#sep>,</#sep>
                                            </#list>
                                                    },
                                                    "required":[]
                                                }
                                        </#if>
                                    </#list>
                                            },
                                            "required":[],
                                            "APIPOST_ORDERS":[],
                                            "description":"字典对象"
                                        }
                                    },
                                    "required":[],
                                    "APIPOST_ORDERS":[]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":[

                                ]
                            }
                        }
                    },
                    "children":[
                    ]
                },
                {
                    "target_type":"api",
                    "name":"${table.functionName}详细",
                    "mark":"developing",
                    "sort":2,
                    "method":"GET",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/${table.requestMapping}/info",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/${table.requestMapping}/info?${table.pkColumn.javaField}=@integer(1,10)",
                        "description":"",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                        "body":{
                            "mode":"urlencoded",
                            "parameter":[
                                {
                                    "description":"ID",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"${table.pkColumn.javaField}",
                                    "value":"@integer(1,10)",
                                    "not_null":1,
                                    "type":"integer"
                                }
                            ],
                            "raw":"",
                            "raw_para":[

                            ],
                            "raw_schema":{
                                "type":"object"
                            }
                        },
                        "query":{
                            "parameter":[
                                {
                                    "description":"ID",
                                    "is_checked":1,
                                    "key":"${table.pkColumn.javaField}",
                                    "type":"Text",
                                    "not_null":1,
                                    "field_type":"integer",
                                    "value":"@integer(1,10)"
                                }
                            ]
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"",
                            "parameter":[
                                {
									"description": "",
									"field_type": "object",
									"is_checked": 1,
									"key": "",
									"not_null": true,
									"type": "object",
									"value": "-"
								},
								{
									"description": "",
									"field_type": "integer",
									"is_checked": 1,
									"key": "code",
									"not_null": true,
									"type": "integer",
									"value": 1
								},
								{
									"description": "",
									"field_type": "object",
									"is_checked": 1,
									"key": "data",
									"not_null": true,
									"type": "object",
									"value": "-"
								}
                            <#list table.columns as column>
                                ,
                                {
                                    "description": "${column.columnComment}",
                                <#if column.javaType=="String">
                                    "field_type":"string",
                                    "type": "string",
                                    "value":"${column.randomStr(column.javaType)}",
                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                    "field_type":"integer",
                                    "type": "integer",
                                    "value":${column.randomStr(column.javaType)},
                                <#elseif column.javaType == "BigDecimal">
                                    "field_type":"number",
                                    "type": "number",
                                    "value":${column.randomStr(column.javaType)},
                                <#elseif column.javaType == "Date">
                                    "field_type":"integer",
                                    "type": "integer",
                                    "value":1686117130116,
                                <#else>
                                    "field_type":"string",
                                    "type": "string",
                                    "value":"${column.randomStr(column.javaType)}",
                                </#if>
                                    "is_checked": 1,
                                    "key": "data.${column.javaField}",
                                    "not_null": true
                                }
                            </#list>
                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "code":{
                                            "type":"integer"
                                        },
                                        "data":{
                                            "type":"object",
                                            "properties":{
                                        <#list table.columns as column>
                                              "${column.javaField}":{
                                               <#if column.javaType=="String">
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                                    "field_type":"integer",
                                                    "type":"integer",
                                                    "mock": {
                                                        "mock": "@integer(1,10)"
                                                    },
                                                <#elseif column.javaType == "BigDecimal">
                                                   "field_type":"number",
                                                   "type":"number",
                                                   "mock": {
                                                        "mock": "@float( 1, 10, 2, 2 )"
                                                   },
                                                <#elseif column.javaType == "Date">
                                                   "field_type":"integer",
                                                   "type":"integer",
                                                   "mock": {
                                                        "mock": "@integer(1686120510000,1686120517127)"
                                                   },
                                                <#else>
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                </#if>
                                                    "description": "${column.columnComment}"
                                                }<#sep>,</#sep>
                                        </#list>
                         <#if table.subTable?? && table.tplCategory=="sub" >
                                            ,
                                         "${table.subTable.className?uncap_first}List": {
                                                "type": "array",
                                                "description": "${table.subTable.functionName}列表信息",
                                                "items": {
                                                    "type": "object",
                                                    "title": "Items",
                                                    "properties": {
                                    <#list table.subTable.columns as column >
                                            "${column.javaField}":{
                                               <#if column.javaType=="String">
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                                    "field_type":"integer",
                                                    "type":"integer",
                                                    "mock": {
                                                        "mock": "@integer(1,10)"
                                                    },
                                                <#elseif column.javaType == "BigDecimal">
                                                   "field_type":"number",
                                                   "type":"number",
                                                   "mock": {
                                                        "mock": "@float( 1, 10, 2, 2 )"
                                                   },
                                                <#elseif column.javaType == "Date">
                                                   "field_type":"integer",
                                                   "type":"integer",
                                                   "mock": {
                                                        "mock": "@integer(1686120510000,1686120517127)"
                                                   },
                                                <#else>
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                </#if>
                                                    "description": "${column.columnComment}"
                                                }<#sep>,</#sep>
                                            </#list>
                                                    },
                                                    "APIPOST_ORDERS": [],
                                                    "required": []
                                                }
                                            }
                                            </#if>
                                            },
                                            "required":[],
                                            "APIPOST_ORDERS":[]
                                        },
                                        "dict":{
                                            "type":"object",
                                            "properties":{
                                    <#assign isFirst>true</#assign>
                                    <#list table.columns as column>
                                        <#if column.dict??>
                                            <#if isFirst == "false">,</#if>
                                            <#assign isFirst>false</#assign>
                                            <#assign comment=column.subComment(column.columnComment) />
                                                 "${column.javaField}":{
                                                    "description":"${comment}",
                                                    "type":"object",
                                                    "properties":{
                                            <#list column.dict as dict>
                                                         "${dict.num}": {
															"type": "string",
															"mock": {
																"mock": "${dict.value}"
															},
															"description": "${dict.value}"
														}<#sep>,</#sep>
                                            </#list>
                                                    },
                                                    "required":[]
                                                }
                                        </#if>
                                    </#list>
                                            },
                                            "required":[],
                                            "APIPOST_ORDERS":[]
                                        }
                                    },
                                    "required":[
                                        "code"
                                    ],
                                    "APIPOST_ORDERS":[
                                        "code",
                                        "data",
                                        "dict"
                                    ]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{

                                }
                            }
                        }
                    },
                    "children":[

                    ]
                },
                {
                    "target_type":"api",
                    "name":"${table.functionName}删除",
                    "mark":"developing",
                    "sort":3,
                    "method":"GET",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/${table.requestMapping}/delete",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/${table.requestMapping}/delete?${table.pkColumn.javaField}=@integer(1,10)&${table.pkColumn.javaField}=@integer(1,10)",
                        "description":"",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                        "header":{
                            "parameter":[
                                {
                                    "description":"用户登录鉴权token",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"Authorization",
                                    "value":"{{token}}",
                                    "not_null":1,
                                    "type":"integer"
                                }
                            ]
                        },
                        "query":{
                            "parameter":[
                                {
                                    "description":"ID",
                                    "field_type":"Integer",
                                    "is_checked":1,
                                    "key":"${table.pkColumn.javaField}",
                                    "value":"@integer(1,10)",
                                    "not_null":1,
                                    "type":"integer"
                                },
                                {
                                    "description":"ID",
                                    "field_type":"Integer",
                                    "is_checked":1,
                                    "key":"${table.pkColumn.javaField}",
                                    "value":"@integer(1,10)",
                                    "not_null":1,
                                    "type":"integer"
                                }
                            ]
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "code":{
                                            "type":"integer",
                                            "mock":{
                                                "mock":"1"
                                            }
                                        },
                                        "msg":{
                                            "type":"string",
                                            "mock":{
                                                "mock":"删除成功"
                                            }
                                        }
                                    },
                                    "required":[
                                        "code",
                                        "msg"
                                    ],
                                    "APIPOST_ORDERS":[
                                        "code",
                                        "msg"
                                    ]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{

                                }
                            }
                        }
                    },
                    "children":[

                    ]
                },
                {
                    "target_type":"api",
                    "name":"${table.functionName}更新与保存",
                    "mark":"developing",
                    "sort":4,
                    "method":"POST",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/${table.requestMapping}/save",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/${table.requestMapping}/save",
                        "description":"${table.pkColumn.javaField}为空时为新增保存，否则为更新提交",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                         "header":{
                            "parameter":[
                                {
                                    "description":"用户登录鉴权token",
                                    "field_type":"String",
                                    "is_checked":1,
                                    "key":"Authorization",
                                    "value":"{{token}}",
                                    "not_null":1,
                                    "type":"Text"
                                }
                            ]
                        },
                        "body":{
                            "mode":"json",
                            "parameter":[
                                {
                                    "description":"${table.pkColumn.javaField}为空时为新增，否则为更新",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"${table.pkColumn.javaField}",
                                    "value":"1",
                                    "not_null":-1,
                                    "type":"${table.pkColumn.javaType}"
                                },
                        <#assign isFirst>true</#assign>
                        <#list table.columns as column>
                            <#if !column.isSuperColumn(column.javaField)>
                                <#if isFirst == "false">,</#if>
                                <#assign isFirst>false</#assign>
                                {
                                "key":"${column.javaField}",
                                "is_checked": 1,
                                <#if column.javaType=="String">
                                    "field_type":"string",
                                    "type":"string",
                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                    "field_type":"integer",
                                    "type":"integer",
                                <#elseif column.javaType == "BigDecimal">
                                    "field_type":"number",
                                    "type":"number",
                                <#elseif column.javaType == "Date">
                                    "field_type":"string",
                                    "type":"string",
                                <#else>
                                    "field_type":"string",
                                    "type":"string",
                                </#if>
                                "value":"${column.randomStr(column.javaType)}",
                                "description": "${column.columnComment}"
                                }
                            </#if>
                        </#list>

    <#if table.subTable?? && table.tplCategory=="sub" >
        ,
                                 {
									"description": "${table.subTable.functionName}列表",
									"is_checked": 1,
									"key": "${table.subTable.className?uncap_first}List",
									"type": "array",
									"not_null": "-1",
									"field_type": "array",
									"value": ""
								}
                                            <#list table.subTable.columns as column >
                                         <#if !column.isSuperColumn(column.javaField)>
                                           ,
                                           {
                                              "value": "",
                                             "not_null": "-1",
                                             "is_checked": 1,
                                             "key": "array[0].${column.javaField}",
                                               <#if column.javaType=="String">
                                                   "field_type":"string",
                                                   "type":"string",
                                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                                    "field_type":"integer",
                                                    "type":"integer",
                                                <#elseif column.javaType == "BigDecimal">
                                                   "field_type":"number",
                                                   "type":"number",
                                                <#elseif column.javaType == "Date">
                                                   "field_type":"string",
                                                   "type":"string",
                                                <#else>
                                                   "field_type":"string",
                                                   "type":"string",
                                                </#if>
                                                    "description": "${column.columnComment}"
                                                }
                                        </#if>
                                            </#list>
                         </#if>
                            ],
                            "raw":"",
                            "raw_para":[],
                            "raw_schema":{
                                "type":"object",
                                "properties":{

                                "${table.pkColumn.javaField}":{
                                    "field_type":"integer",
                                    "type":"integer",
                                    "mock": {
                                        "mock": "@integer(1,100)"
                                    },
                                    "description": "${table.pkColumn.javaField}为空时为新增保存，否则为更新提交"
                                },
                            <#assign isFirst>true</#assign>
                            <#list table.columns as column>
                                <#if !column.isSuperColumn(column.javaField)>
                                    <#if isFirst == "false">,</#if>
                                    <#assign isFirst>false</#assign>
                                 "${column.javaField}":{
                                       <#if column.javaType=="String">
                                           "field_type":"string",
                                           "type":"string",
                                           "mock": {
                                                "mock": "@word"
                                           },
                                        <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                            "field_type":"integer",
                                            "type":"integer",
                                            "mock": {
                                                "mock": "@integer(1,100)"
                                            },
                                        <#elseif column.javaType == "BigDecimal">
                                           "field_type":"number",
                                           "type":"number",
                                           "mock": {
                                                "mock": "@float( 1, 10, 2, 2 )"
                                           },
                                        <#elseif column.javaType == "Date">
                                           "field_type":"string",
                                           "type":"string",
                                           "mock": {
                                                "mock": "@datetime('yyyy-MM-dd HH:mm:ss')"
                                           },
                                        <#else>
                                           "field_type":"string",
                                           "type":"string",
                                           "mock": {
                                                "mock": "@word"
                                           },
                                        </#if>
                                            "description": "${column.columnComment}"
                                        }
                                </#if>
                            </#list>
                         <#if table.subTable?? && table.tplCategory=="sub" >
                                            ,
                                         "${table.subTable.className?uncap_first}List": {
                                                "type": "array",
                                                "description": "${table.subTable.functionName}列表信息",
                                                "items": {
                                                    "type": "object",
                                                    "title": "Items",
                                                    "properties": {
                             <#assign isFirst>true</#assign>
                                            <#list table.subTable.columns as column >
                                         <#if !column.isSuperColumn(column.javaField)>
                                             <#if isFirst == "false">,</#if>
                                             <#assign isFirst>false</#assign>
                                            "${column.javaField}":{
                                               <#if column.javaType=="String">
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                                    "field_type":"integer",
                                                    "type":"integer",
                                                    "mock": {
                                                        "mock": "@integer(1,10)"
                                                    },
                                                <#elseif column.javaType == "BigDecimal">
                                                   "field_type":"number",
                                                   "type":"number",
                                                   "mock": {
                                                        "mock": "@float( 1, 10, 2, 2 )"
                                                   },
                                                <#elseif column.javaType == "Date">
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@datetime('yyyy-MM-dd HH:mm:ss')"
                                                   },
                                                <#else>
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                </#if>
                                                    "description": "${column.columnComment}"
                                                }
                                        </#if>
                                            </#list>
                                                    },
                                                    "APIPOST_ORDERS": [],
                                                    "required": []
                                                }
                                            }
                         </#if>

                                },
                                "required":[
                                <#assign isFirst>true</#assign>
                                <#list table.columns as column>
                                    <#if !column.isSuperColumn(column.javaField)>
                                        <#if column.isRequired == 1>
                                            <#if isFirst == "false">,</#if>
                                            <#assign isFirst>false</#assign>
                                            "${column.javaField}"
                                        </#if>
                                    </#if>
                                </#list>
                                ],
                                "APIPOST_ORDERS":[]
                            }
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"",
                            "parameter":[
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"string",
                                    "is_checked":1,
                                    "key":"msg",
                                    "not_null":true,
                                    "type":"string",
                                    "value":"添加或修改成功！"
                                },
                                {
                                    "description":"",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"code",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":1
                                },
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"data",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                },
                                {
                                    "description":"",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"data.id",
                                    "not_null":true,
                                    "type":"integer",
                                    "value":123
                                },
                                {
                                    "description":"",
                                    "field_type":"object",
                                    "is_checked":1,
                                    "key":"data.entity",
                                    "not_null":true,
                                    "type":"object",
                                    "value":"-"
                                }
                    <#list table.columns as column>
                                ,
                                {
                                    "description": "${column.columnComment}",
                                <#if column.javaType=="String">
                                    "field_type":"string",
                                    "type": "string",
                                    "value":"${column.randomStr(column.javaType)}",
                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                    "field_type":"integer",
                                    "type": "integer",
                                    "value":${column.randomStr(column.javaType)},
                                <#elseif column.javaType == "BigDecimal">
                                    "field_type":"number",
                                    "type": "number",
                                    "value":${column.randomStr(column.javaType)},
                                <#elseif column.javaType == "Date">
                                    "field_type":"integer",
                                    "type": "integer",
                                    "value":1686117130116,
                                <#else>
                                    "field_type":"string",
                                    "type": "string",
                                    "value":"${column.randomStr(column.javaType)}",
                                </#if>
                                    "is_checked": 1,
                                    "key": "data.entity.${column.javaField}",
                                    "not_null": true
                                }
                            </#list>
                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "msg":{
                                            "type":"string",
                                            "mock": {
                                                "mock": "保存更新成功！"
                                            }
                                        },
                                        "code":{
                                            "type":"integer",
                                            "mock": {
                                                "mock": "1"
                                            }
                                        },
                                         "data": {
											"type": "object",
											"properties": {
												"id": {
													"type": "integer",
                                                "mock": {
                                                    "mock": "@integer(100,200)"
                                                    }
												},
												"entity": {
													"type": "object",
													"properties": {
                            <#list table.columns as column>
                                 "${column.javaField}":{
                                       <#if column.javaType=="String">
                                           "field_type":"string",
                                           "type":"string",
                                           "mock": {
                                                "mock": "@word"
                                           },
                                        <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                            "field_type":"integer",
                                            "type":"integer",
                                            "mock": {
                                                "mock": "@integer(1,100)"
                                            },
                                        <#elseif column.javaType == "BigDecimal">
                                           "field_type":"number",
                                           "type":"number",
                                           "mock": {
                                                "mock": "@float( 1, 10, 2, 2 )"
                                           },
                                        <#elseif column.javaType == "Date">
                                           "field_type":"integer",
                                           "type":"integer",
                                           "mock": {
                                                "mock": "@integer(1686120510000,1686120517127)"
                                           },
                                        <#else>
                                           "field_type":"string",
                                           "type":"string",
                                           "mock": {
                                                "mock": "@word"
                                           },
                                        </#if>
                                            "description": "${column.columnComment}"
                                        }<#sep>,</#sep>
                            </#list>

                             <#if table.subTable?? && table.tplCategory=="sub" >
                                            ,
                                         "${table.subTable.className?uncap_first}List": {
                                                "type": "array",
                                                "description": "${table.subTable.functionName}列表信息",
                                                "items": {
                                                    "type": "object",
                                                    "title": "Items",
                                                    "properties": {
                             <#assign isFirst>true</#assign>
                                            <#list table.subTable.columns as column >
                                         <#if !column.isSuperColumn(column.javaField)>
                                             <#if isFirst == "false">,</#if>
                                             <#assign isFirst>false</#assign>
                                            "${column.javaField}":{
                                               <#if column.javaType=="String">
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                                    "field_type":"integer",
                                                    "type":"integer",
                                                    "mock": {
                                                        "mock": "@integer(1,10)"
                                                    },
                                                <#elseif column.javaType == "BigDecimal">
                                                   "field_type":"number",
                                                   "type":"number",
                                                   "mock": {
                                                        "mock": "@float( 1, 10, 2, 2 )"
                                                   },
                                                <#elseif column.javaType == "Date">
                                                   "field_type":"integer",
                                                   "type":"integer",
                                                   "mock": {
                                                        "mock": "@datetime('yyyy-MM-dd HH:mm:ss')"
                                                   },
                                                <#else>
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                </#if>
                                                    "description": "${column.columnComment}"
                                                }
                                        </#if>
                                            </#list>
                                                    },
                                                    "APIPOST_ORDERS": [],
                                                    "required": []
                                                }
                                            }
                         </#if>

													},
													"required": [],
													"APIPOST_ORDERS": []
												}
											},
											"required": [],
											"APIPOST_ORDERS": []
										}
                                    },
                                    "required":[
                                        "msg",
                                        "code"
                                    ],
                                    "APIPOST_ORDERS":[
                                        "msg",
                                        "code"
                                    ]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{

                                }
                            }
                        }
                    },
                    "children":[

                    ]
                },
                {
                    "target_type":"api",
                    "name":"${table.functionName}批量更新或保存",
                    "mark":"developing",
                    "sort":5,
                    "method":"POST",
                    "mock":"{}",
                    "mock_url":"${appInfo.path}/${table.requestMapping}/batchSave",
                    "request":{
                        "url":"{{baseUrl}}${appInfo.path}/${table.requestMapping}/batchSave",
                        "description":"",
                        "event":{
                            "pre_script":"",
                            "test":""
                        },
                         "header":{
                            "parameter":[
                                {
                                    "description":"用户登录鉴权token",
                                    "field_type":"String",
                                    "is_checked":1,
                                    "key":"Authorization",
                                    "value":"{{token}}",
                                    "not_null":1,
                                    "type":"Text"
                                }
                            ]
                        },
                        "body":{
                            "mode":"json",
                             "parameter":[
                                {
                                "description": "数组根节点",
                                "is_checked": 1,
                                "key": "array",
                                "type": "array",
                                "not_null": "1",
                                "field_type": "array",
                                "value": ""
                                },
                                {
                                    "description":"${table.pkColumn.javaField}为空时为新增，否则为更新",
                                    "field_type":"integer",
                                    "is_checked":1,
                                    "key":"${table.pkColumn.javaField}",
                                    "value":"1",
                                    "not_null":-1,
                                    "type":"${table.pkColumn.javaType}"
                                },
                        <#assign isFirst>true</#assign>
                        <#list table.columns as column>
                            <#if !column.isSuperColumn(column.javaField)>
                                <#if isFirst == "false">,</#if>
                                <#assign isFirst>false</#assign>
                                {
                                "key":"${column.javaField}",
                                "is_checked": 1,
                                <#if column.javaType=="String">
                                    "field_type":"string",
                                    "type":"string",
                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                    "field_type":"integer",
                                    "type":"integer",
                                <#elseif column.javaType == "BigDecimal">
                                    "field_type":"number",
                                    "type":"number",
                                <#elseif column.javaType == "Date">
                                    "field_type":"string",
                                    "type":"string",
                                <#else>
                                    "field_type":"string",
                                    "type":"string",
                                </#if>
                                "value":"${column.randomStr(column.javaType)}",
                                "description": "${column.columnComment}"
                                }
                            </#if>
                        </#list>
                            ],
                            "raw":"",
                            "raw_para":[

                            ],
                            "raw_schema":{
                                "type":"array",
                                "items":{
                                    "type":"object",
                                    "properties":{
                                        "${table.pkColumn.javaField}":{
                                    "field_type":"integer",
                                    "type":"integer",
                                    "mock": {
                                        "mock": "@integer(1,100)"
                                    },
                                    "description": "${table.pkColumn.javaField}为空时为新增保存，否则为更新提交"
                                },
                            <#assign isFirst>true</#assign>
                            <#list table.columns as column>
                                <#if !column.isSuperColumn(column.javaField)>
                                    <#if isFirst == "false">,</#if>
                                    <#assign isFirst>false</#assign>
                                 "${column.javaField}":{
                                       <#if column.javaType=="String">
                                           "field_type":"string",
                                           "type":"string",
                                           "mock": {
                                                "mock": "@word"
                                           },
                                        <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                            "field_type":"integer",
                                            "type":"integer",
                                            "mock": {
                                                "mock": "@integer(1,100)"
                                            },
                                        <#elseif column.javaType == "BigDecimal">
                                           "field_type":"number",
                                           "type":"number",
                                           "mock": {
                                                "mock": "@float( 1, 10, 2, 2 )"
                                           },
                                        <#elseif column.javaType == "Date">
                                           "field_type":"string",
                                           "type":"string",
                                           "mock": {
                                                "mock": "@datetime('yyyy-MM-dd HH:mm:ss')"
                                           },
                                        <#else>
                                           "field_type":"string",
                                           "type":"string",
                                           "mock": {
                                                "mock": "@word"
                                           },
                                        </#if>
                                            "description": "${column.columnComment}"
                                        }
                                </#if>
                            </#list>
      <#if table.subTable?? && table.tplCategory=="sub" >
                                            ,
                                         "${table.subTable.className?uncap_first}List": {
                                                "type": "array",
                                                "description": "${table.subTable.functionName}列表信息",
                                                "items": {
                                                    "type": "object",
                                                    "title": "Items",
                                                    "properties": {
                             <#assign isFirst>true</#assign>
                                            <#list table.subTable.columns as column >
                                         <#if !column.isSuperColumn(column.javaField)>
                                             <#if isFirst == "false">,</#if>
                                             <#assign isFirst>false</#assign>
                                            "${column.javaField}":{
                                               <#if column.javaType=="String">
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                                    "field_type":"integer",
                                                    "type":"integer",
                                                    "mock": {
                                                        "mock": "@integer(1,10)"
                                                    },
                                                <#elseif column.javaType == "BigDecimal">
                                                   "field_type":"number",
                                                   "type":"number",
                                                   "mock": {
                                                        "mock": "@float( 1, 10, 2, 2 )"
                                                   },
                                                <#elseif column.javaType == "Date">
                                                   "field_type":"integer",
                                                   "type":"integer",
                                                   "mock": {
                                                        "mock": "@datetime('yyyy-MM-dd HH:mm:ss')"
                                                   },
                                                <#else>
                                                   "field_type":"string",
                                                   "type":"string",
                                                   "mock": {
                                                        "mock": "@word"
                                                   },
                                                </#if>
                                                    "description": "${column.columnComment}"
                                                }
                                        </#if>
                                            </#list>
                                                    },
                                                    "APIPOST_ORDERS": [],
                                                    "required": []
                                                }
                                            }
                         </#if>

                                    },
                                    "required":[
                                         <#assign isFirst>true</#assign>
                                <#list table.columns as column>
                                    <#if !column.isSuperColumn(column.javaField)>
                                        <#if column.isRequired == 1>
                                            <#if isFirst == "false">,</#if>
                                            <#assign isFirst>false</#assign>
                                            "${column.javaField}"
                                        </#if>
                                    </#if>
                                </#list>
                                    ],
                                    "APIPOST_ORDERS":[]
                                }
                            }
                        }
                    },
                    "response":{
                        "success":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"成功",
                                "isDefault":1,
                                "code":200,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "msg":{
                                            "type":"string",
                                            "mock": {
                                                "mock": "批量保存成功！"
                                            }
                                        },
                                        "code":{
                                            "type":"integer",
                                            "mock": {
                                                "mock": "1"
                                            }
                                        }
                                    },
                                    "required":[
                                        "msg",
                                        "code"
                                    ],
                                    "APIPOST_ORDERS":[
                                        "msg",
                                        "code"
                                    ]
                                }
                            }
                        },
                        "error":{
                            "raw":"",
                            "parameter":[

                            ],
                            "expect":{
                                "name":"失败",
                                "isDefault":-1,
                                "code":404,
                                "contentType":"json",
                                "verifyType":"schema",
                                "mock":"",
                                "schema":{

                                }
                            }
                        }
                    },
                    "children":[

                    ]
                }

    <#if table.isGenExport==1 >
        ,{
					"target_type": "api",
					"name": "${table.functionName}导入模板下载",
					"mark": "developing",
					"sort": 6,
					"method": "POST",
					"mock": "{}",
					"mock_url": "${appInfo.path}/${table.requestMapping}/downloadTemplate",
					"request": {
						"url": "{{baseUrl}}${appInfo.path}/${table.requestMapping}/downloadTemplate",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": 1,
								"code": 200,
								"contentType": "binary",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 404,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						}
					},
					"children": []
				},
				{
					"target_type": "api",
					"name": "${table.functionName}导出",
					"mark": "developing",
					"sort": 7,
					"method": "POST",
					"mock": "{}",
					"mock_url": "${appInfo.path}/${table.requestMapping}/exportExcel",
					"request": {
						"url": "{{baseUrl}}${appInfo.path}/${table.requestMapping}/exportExcel",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"body": {
							"mode": "json",
							"parameter": [],
							"raw": "",
							"raw_para": [],
							"raw_schema":{
                                "type":"object",
                                "properties":{
                                    "page":{
                                        "type":"integer",
                                        "description":"当前页",
                                        "mock":{
                                            "mock":"@integer(1,10)"
                                        }
                                    },
                                    "size":{
                                        "type":"integer",
                                        "description":"每页条数，值为-1，查询所有记录",
                                        "mock":{
                                            "mock":"@integer(-1,100)"
                                        }
                                    }
                        <#list table.columns as column>
                            <#if column.isQuery == 1>
                                ,
                                "${column.javaField}":{
                                 <#if column.javaType=="String">
                                     "type":"string",
                                     "description":"${column.columnComment},字段前后添加%%模糊查询",
                                     "mock":{
                                         "mock":"@word"
                                     }
                                 <#elseif column.javaType == "Long"|| column.javaType=="Integer">
                                     "type":"integer",
                                     "description":"${column.columnComment}",
                                     "mock":{
                                         "mock":"@integer(1,100)"
                                     }
                                 <#elseif column.javaType == "BigDecimal">
                                    "type":"number",
                                     "description":"${column.columnComment}",
                                     "mock":{
                                        "mock":"@float( 1, 100, 2, 2 )"
                                     }
                                 <#elseif column.javaType == "Date">
                                     "type":"string",
                                     "description":"${column.columnComment}",
                                     "mock":{
                                        "mock":"@datetime('yyyy-MM-dd HH:mm:ss')"
                                     }
                                <#else>
                                     "type":"string",
                                     "description":"${column.columnComment},字段前后添加%%模糊查询",
                                     "mock":{
                                        "mock":"@word"
                                     }
                                </#if>
                                }
                            </#if>
                        </#list>
                                },
                                "description":""
                            }
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": 1,
								"code": 200,
								"contentType": "binary",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 404,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						}
					},
					"children": []
				},
        {
					"target_type": "api",
					"name": "${table.functionName}导入",
					"mark": "developing",
					"sort": 8,
					"method": "POST",
					"mock": "{}",
					"mock_url": "${appInfo.path}/${table.requestMapping}/importData",
					"request": {
						"url": "{{baseUrl}}${appInfo.path}/${table.requestMapping}/importData",
						"description": "",
						"event": {
							"pre_script": "",
							"test": ""
						},
						"body": {
							"mode": "form-data",
							"parameter": [
								{
									"description": "导入文件，xlsx",
									"field_type": "String",
									"is_checked": 1,
									"key": "file",
									"value": [
										"text.xlsx"
									],
									"not_null": 1,
									"type": "File",
									"filename": "测试.xlsx",
									"fileBase64": []
								}
							],
							"raw": "",
							"raw_para": [],
							"raw_schema": {
								"type": "object"
							}
						}
					},
					"response": {
						"success": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "成功",
								"isDefault": 1,
								"code": 200,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {
									"type": "object",
									"properties": {
										"code": {
											"type": "integer",
											"mock": {
												"mock": "1"
											},
											"description": "状态"
										},
										"msg": {
											"type": "string",
											"mock": {
												"mock": "导入成功"
											},
											"description": "消息"
										}
									},
									"APIPOST_ORDERS": [
										"code",
										"msg"
									],
									"required": []
								}
							}
						},
						"error": {
							"raw": "",
							"parameter": [],
							"expect": {
								"name": "失败",
								"isDefault": -1,
								"code": 404,
								"contentType": "json",
								"verifyType": "schema",
								"mock": "",
								"schema": {}
							}
						}
					},
					"children": []
				}
    </#if>

     ]
    }

    <#sep>,</#sep>
</#list>

    ],
    "envs":[
        {
            "env_id":"-1",
            "list":{
                "baseUrl":{
                    "value":"127.0.0.1:11085",
                    "current_value":"127.0.0.1:11085",
                    "description":""
                }
            },
            "name":"默认环境",
            "pre_url":""
        },
        {
            "env_id":"-2",
            "list":{
                "baseUrl":{
                    "current_value":"",
                    "type":"1",
                    "value":"",
                    "description":""
                }
            },
            "name":"Mock环境",
            "pre_url":"https://console-mock.apipost.cn/mock/ed903887-40ba-4f24-a634-ca2a0173ce5e/"
        },
        {
            "env_id":"dd5ff4d6-bd43-4af8-9dba-8ee62add53b9",
            "list":{
                "baseUrl":{
                    "value":"localhost:11085",
                    "current_value":"localhost:11085",
                    "description":""
                }
            },
            "name":"本地环境",
            "pre_url":""
        },
        {
            "env_id":"e80b0c4c-82ed-4203-ae17-ed08f451efa2",
            "list":{
                "baseUrl":{
                    "current_value":"192.168.0.98:11085",
                    "type":"1",
                    "value":"192.168.0.98:11085",
                    "description":""
                }
            },
            "name":"测试环境",
            "pre_url":""
        }
    ]
}